be.vlaanderen.mercurius.vsb.common.core.v3

## Enum ContextType

- java.lang.Object
- - java.lang.Enum<ContextType>
  - - be.vlaanderen.mercurius.vsb.common.core.v3.ContextType

- All Implemented Interfaces:
    Serializable, Comparable<ContextType>

      public enum ContextType
      extends Enum<ContextType>

  Java class for ContextType.

  The following schema fragment specifies the expected content contained within this class.

       <simpleType name="ContextType">
         <restriction base="{http://www.w3.org/2001/XMLSchema}string">
           <enumeration value="ZB zorgbehoevenden"/>
           <enumeration value="ZB handicap (BOB)"/>
           <enumeration value="ZB ouderen"/>
           <enumeration value="WZC"/>
           <enumeration value="MOHM"/>
           <enumeration value="BELRAI_VL"/>
           <enumeration value="MDO"/>
           <enumeration value="REVA_Z"/>
           <enumeration value="REVA_C"/>
           <enumeration value="IBW"/>
           <enumeration value="PVT"/>
           <enumeration value="MBE"/>
         </restriction>
       </simpleType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BELRAI_VL` Belrai Vlaanderen
    `IBW` tegemoetkoming voor initiatieven van beschut wonen
    `MBE` tegemoetkoming voor multidisciplinaire begeleidingsequipes
    `MDO` MultiDisciplinairOverleg
    `MOHM` tegemoetkoming voor mobiliteitshulpmiddelen
    `PVT` tegemoetkoming voor psychiatrische verzorgingstehuizen
    `REVA_C` tegemoetkoming voor revalidatieconventies
    `REVA_Z` tegemoetkoming voor revalidatieziekenhuizen
    `WZC` tegemoetkoming in woonzorgcentra, dagverzorging en kortverblijf
    `ZB_HANDICAP_BOB` Basisondersteuningsbudget of Zorgbudget voor personen met een handicap
    `ZB_OUDEREN` ZorgBudget voor ouderen met een zorgnood (voorheen: tegemoetkoming voor hulp aan bejaarden)
    `ZB_ZORGBEHOEVENDEN` ZorgBudget voor zwaar Zorgbehoevenden (voorheen: tegemoetkoming van de Vlaamse ZorgVerzekering)

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ContextType` | `fromValue(String v)`
    `String` | `value()`
    `static ContextType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static ContextType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ZB_ZORGBEHOEVENDEN

          public static final ContextType ZB_ZORGBEHOEVENDEN

      ZorgBudget voor zwaar Zorgbehoevenden (voorheen: tegemoetkoming van de Vlaamse ZorgVerzekering)

    - #### ZB_HANDICAP_BOB

          public static final ContextType ZB_HANDICAP_BOB

      Basisondersteuningsbudget of Zorgbudget voor personen met een handicap

    - #### ZB_OUDEREN

          public static final ContextType ZB_OUDEREN

      ZorgBudget voor ouderen met een zorgnood (voorheen: tegemoetkoming voor hulp aan bejaarden)

    - #### WZC

          public static final ContextType WZC

      tegemoetkoming in woonzorgcentra, dagverzorging en kortverblijf

    - #### MOHM

          public static final ContextType MOHM

      tegemoetkoming voor mobiliteitshulpmiddelen

    - #### BELRAI_VL

          public static final ContextType BELRAI_VL

      Belrai Vlaanderen

    - #### MDO

          public static final ContextType MDO

      MultiDisciplinairOverleg

    - #### REVA_Z

          public static final ContextType REVA_Z

      tegemoetkoming voor revalidatieziekenhuizen

    - #### REVA_C

          public static final ContextType REVA_C

      tegemoetkoming voor revalidatieconventies

    - #### IBW

          public static final ContextType IBW

      tegemoetkoming voor initiatieven van beschut wonen

    - #### PVT

          public static final ContextType PVT

      tegemoetkoming voor psychiatrische verzorgingstehuizen

    - #### MBE

          public static final ContextType MBE

      tegemoetkoming voor multidisciplinaire begeleidingsequipes

  - ### Method Detail

    - #### values

          public static ContextType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ContextType c : ContextType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ContextType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### value

          public String value()

    - #### fromValue

          public static ContextType fromValue(String v)

Connector Packaging TRUSSMAKER 4.9.5 API
Copyright © {inceptionYear}-2026 eHealth. All Rights Reserved.